/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */
#ifndef SSTMAC_SOFTWARE_LIBRARIES_COMPUTE_SSTMAC_COMPUTE_H_INCLUDED
#define SSTMAC_SOFTWARE_LIBRARIES_COMPUTE_SSTMAC_COMPUTE_H_INCLUDED

#ifdef __cplusplus
extern "C"
{
#endif

  void SSTMAC_compute(double seconds);

  void SSTMAC_compute_block_access(long long bytes);

#ifdef __cplusplus
}
#endif

#endif
