/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#include <hpx/lcos/lco.h>
#include <hpx/hpx_app.h>
namespace hpx
{
  namespace lcos
  {

    sstmac::debug lco::dbg_;

    lco::lco()
    {
      if (!dbg_.is_real())
        {
          dbg_ = sstmac::debug("<debug> hpx | hpx_lcos", sstmac::logger::blue);
          sstmac::logger::register_logger(&dbg_);
        }

     // os_ = hpx_app::get_os();
    }

   /* lco::lco(sstmac::sw::OS_API::ptr os) : os_(os)
    {
      if (!dbg_.is_real())
        {
          dbg_ = sstmac::debug("<debug> hpx | hpx_lcos", sstmac::logger::blue);
          sstmac::logger::register_logger(&dbg_);
        }


    }*/

  }
}
